Name: rsynth
Summary: Speech synthesizer
Group: Utilities/Sound
Version: 2.0
Release: 2
Copyright: Public Domain
Source0: iftp://sunsite.unc.edu/pub/Linux/apps/sound/speech/rsynth-2.0.tgz
Source1: ftp://svr-ftp.eng.cam.ac.uk/pub/comp.speech/data/beep-0.6.tar.gz
Source2: ftp://ftp.cs.cmu.edu/project/fgdata/dict/cmudict.0.4.gz
Patch0: rsynth-2.0.patch
BuildRoot: /tmp/rsynth-root

Packager: Andrew Pimlott <pimlott@math.harvard.edu>
# finger for PGP public key

%description
This is a text to speech system produced by integrating various pieces
of code and tables of data.

%package american
Summary: American dictionary/accent for rsynth
Group: Utilities/Sound
Version: 0.4
#Copyright: Distributable

%description american
American dictionary/accent for rsynth

%package british
Summary: British dictionary/accent for rsynth
Group: Utilities/Sound
Version: 0.6
#Copyright: non-commerical & research only

%description british

British dictionary/accent for rsynth.  Non-commercial use only.

%changelog

* Fri Sep 12 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- Original by Joey Hess <jeh22@cornell.edu>
- Was in rpm 2.0 format; updated.
- BuildRoot'ed

%prep
%setup -T -c -a 0
%setup -T -D -a 1
%patch0
cd rsynth-2.0
# Note how I get the .gz uncompressed here. 
zcat $RPM_SOURCE_DIR/cmudict.0.4.gz >cmudict.0.4

%build
cd rsynth-2.0
./configure --with-aDict=cmudict.0.4 --with-bDict=../beep/beep-0.6 --prefix='${DESTDIR}/usr'
export PATH=$PATH:.  # Ugh--needed to run mkdictdb during build
make
# Here I compress the huge dictionaries. Zlibc is required for this to work.
#gzip -9 aDict.db
#mv aDict.db.gz aDict.db
#gzip -9 bDict.db
#mv bDict.db.gz bDict.db

%install
cd rsynth-2.0
mkdirhier $RPM_BUILD_ROOT/usr/bin
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{NAME}-%{VERSION}

%files
%attr(-, root, root) %doc rsynth-2.0/README rsynth-2.0/README.linux
%attr(-, root, root) %dir /usr/lib/dict/
%attr(-, root, root) /usr/bin/say
%attr(-, root, root) /usr/bin/mkdictdb
%attr(-, root, root) /usr/bin/dlookup

%files american
%attr(-, root, root) /usr/lib/dict/aDict.db

%files british
%attr(-, root, root) /usr/lib/dict/bDict.db
%attr(-, root, root) %doc beep/README
